import { Extension } from '../../@codemirror/state';

/**
 * 支持的语言类型
 */
export type LanguageType = 'sql' | 'json' | string;
/**
 * 根据语言类型获取对应的语言扩展
 * @param language 语言类型
 * @returns 对应的语言扩展
 */
export declare function getLanguageExtension(language: LanguageType): Extension;
/**
 * 检查语言类型是否受支持
 * @param language 语言类型
 * @returns 是否受支持
 */
export declare function isSupportedLanguage(language: string): boolean;
